;;; Test 5 assembly file
; Characterise the SAs by performing 1023 measurements

; Memory settings register
; R4 = settings register address
; R5 = settings register data
init $r4 0b0000100000
init $r5 0b00000010000010001000000011111111
write $r5 $r4

; Loop
; R1 = loop variable
; R2 = loop limit
; R3 = target row (must be in selected memory, exact one should not matter)
; R6 = write data
init $r1 0
init $r2 1022
init $r3 0b0000000000
init $r6 0xFFFFFFFF

; Read and accumulate the ones (compare with $r0)
write $r6 $r3
read_acc $r0 $r3 $r0
addi $r1 1 $r1
bltq $r1 $r2 -3

; Stop
beq $r0 $r0 0