;;; Test 9 assembly file - refresh
; Refresh fixed data in a fixed row at high speeds (12.5 MHz @ 100 MHz 
; clock)

; Memory settings register
; R4 = settings register address
; R5 = settings register data, all settings halfway, SA test mode disabled,
; bitline background disabled
init $r4 0b0000100000
init $r5 0b00000010000010001000000011111111
write $r5 $r4

; Write instruction
; R6 = data
; R7 = address
init $r6 0x00000000
init $r7 0b0000000000

; Write initial data
write $r6 $r7
; Infinite loop: 8 cycles per refresh (= read + write)
; Alternatively: write something else first or set background data to 
; increase the power consumption (WBL switching)
refresh $r7
; Infinite loop
beq $r0 $r0 -1