;;; Test 9 assembly file - write + read
; Write and read a data combination to/from a row combination
; Data/row can be the same to measure the different energy consumption 
; contributors

; Memory settings register
; R4 = settings register address
; R5 = settings register data, all settings halfway, SA test mode disabled,
; bitline background disabled
init $r4 0b0000100000
init $r5 0b00000010000010001000000011111111
write $r5 $r4

; Write instruction
; R6 = write data 1
; R7 = write address 1
; R8 = wait loop variable
; R9 = wait loop variable limit
init $r6 0x00000000
init $r7 0b0000000000
init $r8 0
init $r9 4

; Infinite loop: 18 + 2 * $r9 cycles per write + read
add $r0 $r0 $r8
write $r6 $r7
addi $r8 1 $r8
bltq $r8 $r9 -1
read $r7 $r0
; Infinite loop
beq $r0 $r0 -5