;;; Test 10 assembly file
; Test the effects of rowhammer on a selected memory

; Memory settings register
; R4 = settings register address
; R5 = settings register data, all settings halfway, SA test mode disabled,
; bitline background disabled
init $r4 0b0000100000
init $r5 0b00000010000010001000000011111111
write $r5 $r4

; Victim row address and data
; R1 = victim row address
; R2 = victim row data
init $r1 0b0000001111
init $r2 0x00000000

; Aggressor row address and data (2x data) and number of repeats
; 2x data allows for a lot of BL activity or even a targeted attack at one
; cell specific
; R3 = aggressor row address
; R6 = aggressor data 1
; R7 = aggressor data 2
; R8 = aggressor loop count
; R9 = aggressor loop counter
init $r3 0b0000010000
init $r6 0x00000000
init $r7 0xFFFFFFFF
init $r8 512
init $r9 0

; Loop 1023x for statistics (for if a successful attack is unlikely)
; R10 = statistics loop count
; R11 = statistics loop counter
init $r10 1023
init $r11 0

; Start statistics loop
add $r0 $r0 $r9
write $r2 $r1
; Start aggressor loop
write $r6 $r3
write $r7 $r3
addi $r9 1 $r9
blt $r9 $r8 -3
; End aggressor loop
addi $r11 1 $r11
blt $r11 $r10 -7
; End statistics loop

; Stop
beq $r0 $r0 0