;;; Test 5 assembly file
; Characterise the SAs by performing 1023 measurements

; Memory settings register
; R4 = settings register address
; R5 = settings register data, all settings halfway, SA test mode enabled
init $r4 0b0000100000
init $r5 0b00000110000010001000000010000000
write $r5 $r4

; Loop
; R1 = loop variable
; R2 = loop limit
; R3 = target row (must be in selected memory, exact one should not matter)
init $r1 0
init $r2 1022
init $r3 0b0000000000

; Read and accumulate the ones (compare with $r0)
read_acc $r0 $r3 $r0
addi $r1 1 $r1
bltq $r1 $r2 -2

; Stop
beq $r0 $r0 0