;;; Test 9 assembly file - write
; Write a data combination to a row combination
; Data/row can be the same to measure the different energy consumption 
; contributors

; Memory settings register
; R4 = settings register address
; R5 = settings register data, all settings halfway, SA test mode disabled,
; bitline background disabled
init $r4 0b0000100000
init $r5 0b00000010000010001000000011111111
write $r5 $r4

; Write instruction
; R6 = write data 1
; R7 = write address 1
; R8 = write data 2
; R9 = write address 2
init $r6 0x00000000
init $r7 0b0000000000
init $r8 0x00000000
init $r9 0b0000000000

; Infinite loop: 14 cycles per 2 writes
write $r6 $r7
write $r8 $r9
; Infinite loop
beq $r0 $r0 -2