
testFolder = "C:\Users\radamsteegt\Documents\MATLAB\tests\" + ...
    "misc\find_read_delay\";

memoryNo = 0;

reference = 0.12;
% Settings data with capture delay = 0, will be swept by program
settingsData = bin2dec("000"+"000"+"100000"+"1010"+"00111100"+"00000000");
settingsAddr = 64 * memoryNo + 32;
memoryRow = 64 * memoryNo;

MSI.setSupplyChannelVoltageSafe(MSI.SUPPLY_CHANNEL_REF, reference)

inputProgram = Program("find_read_delay");
inputProgram.fromAsmFile(testFolder + "find_read_delay.asm")

inputProgram.Register(4) = settingsAddr;
inputProgram.Register(5) = settingsData;
inputProgram.Register(6) = memoryRow;

outputProgram = MSI.runProgram(inputProgram);

fprintf("Critical capture delay values: %d-%d\n", ...
    outputProgram.Register(7), outputProgram.Register(7)+1)